.star-rating {
  position: relative;
  display: flex;
  width: 80px;
  height: 16px;

  background-image: url('../../img/svg/starOff.svg');
  background-size: 16px 16px;
}

.star-rating:focus-within {
  outline: 0.2rem solid rgb(74, 144, 226);
}

.star-rating__input {
  -webkit-appearance: none;
  -moz-appearance: none;
  appearance: none;
  position: absolute;
  width: 8px;
  height: 16px;
  top: 0;
  left: 0;
  font-size: inherit;
  margin: 0;
}

.star-rating__input:focus {
  outline: none;
}

.star-rating__input:hover,
.star-rating__input:checked {
  background-image: url('../../img/svg/starOn.svg');
}

.star-rating__input:hover ~ .star-rating__input {
  background-image: url('../../img/svg/starOff.svg');
}

.star-rating__input:nth-of-type(1) {
  width: 8px;
  z-index: 10;
}

.star-rating__input:nth-of-type(2) {
  width: 16px;
  z-index: 9;
}

.star-rating__input:nth-of-type(3) {
  width: 24px;
  z-index: 8;
}

.star-rating__input:nth-of-type(4) {
  width: 32px;
  z-index: 7;
}

.star-rating__input:nth-of-type(5) {
  width: 40px;
  z-index: 6;
}

.star-rating__input:nth-of-type(6) {
  width: 48px;
  z-index: 5;
}

.star-rating__input:nth-of-type(7) {
  width: 56px;
  z-index: 4;
}

.star-rating__input:nth-of-type(8) {
  width: 64px;
  z-index: 3;
}

.star-rating__input:nth-of-type(9) {
  width: 72px;
  z-index: 2;
}

.star-rating__input:nth-of-type(10) {
  width: 80px;
  z-index: 1;
}
